Summary:	Complete front-end for mplayer written in Qt5
Name:		smplayer
Version:	20.6.0
Release:	%mkrel 3
License:	GPLv2+
Group:		Video/Players
Url:		http://smplayer.sourceforge.net
Source0:	http://downloads.sourceforge.net/smplayer/%{name}-%{version}.tar.bz2
Patch0:		%{name}-17.2.0-optflags.patch
Patch2:		%{name}-16.8.0-use-system-qtsingleapplication.patch

BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	qtsingleapplication-qt5-devel
BuildRequires:	pkgconfig(xext)

Requires:	mplayer		>= 1.0-1.rc1
Recommends:	smplayer-skins
Recommends:	smplayer-themes
Recommends:	smtube

%description
SMPlayer intends to be a complete front-end for MPlayer,
from basic features like playing videos, DVDs, and VCDs
to more advanced features like support for MPlayer filters and more.

SMPlayer supports themes which can be found in smplayer-themes package.

%prep
%setup -q
%autopatch -p1

# fix wrong-file-end-of-line-encoding
sed -i 's/\r//' *.txt

# fix file-not-utf8
iconv -f iso8859-1 -t utf-8 Changelog > Changelog.conv && mv -f Changelog.conv Changelog

%build
%set_build_flags
%make_build PREFIX=%{_prefix} QMAKE=%{_qt5_bindir}/qmake LRELEASE=%{_qt5_bindir}/lrelease

%install
%make_install PREFIX=%{_prefix}

# add translation lang tags
(cd %{buildroot} && find . -name '*.qm') | sed -e 's|^.||' | sed -e \
's:\(.*/translations/smplayer_\)\([a-z_A-Z]\+\)\(.*qm$\):%lang(\2) \1\2\3:' \
	>> %{name}.lang

%files -f %{name}.lang
%doc %{_docdir}/%{name}/
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/shortcuts
%dir %{_datadir}/%{name}/translations
%{_bindir}/%{name}
%{_bindir}/simple_web_server
%{_datadir}/%{name}/*.conf
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/shortcuts/*
%{_mandir}/man1/%{name}.*


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 20.6.0-3.mga8
+ Revision: 1659858
- Rebuild for new Qt5

* Wed Aug 19 2020 daviddavid <daviddavid> 20.6.0-2.mga8
+ Revision: 1615632
- add missing BR on pkgconfig(xext) to fix build

* Tue Jul 14 2020 daviddavid <daviddavid> 20.6.0-1.mga8
+ Revision: 1606070
- new version: 20.6.0
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Sat May 09 2020 daviddavid <daviddavid> 20.4.2-1.mga8
+ Revision: 1581912
- new version: 20.4.2

* Sat Feb 15 2020 daviddavid <daviddavid> 19.10.2-1.mga8
+ Revision: 1526646
- new version: 19.10.2
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Fri May 24 2019 daviddavid <daviddavid> 19.5.0-1.mga7
+ Revision: 1398994
- new version: 19.5.0

* Tue Apr 02 2019 umeabot <umeabot> 19.1.0-2.mga7
+ Revision: 1384847
- Qt5 Rebuild

* Sun Feb 03 2019 daviddavid <daviddavid> 19.1.0-1.mga7
+ Revision: 1362821
- new version: 19.1.0

* Thu Jan 03 2019 daviddavid <daviddavid> 18.10.0-1.mga7
+ Revision: 1348859
- new version: 18.10.0

* Sat Sep 22 2018 daviddavid <daviddavid> 18.9.0-1.mga7
+ Revision: 1295898
- new version: 18.9.0

* Mon Jul 02 2018 daviddavid <daviddavid> 18.6.0-1.mga7
+ Revision: 1241260
- new version: 18.6.0

* Sat Jun 02 2018 daviddavid <daviddavid> 18.5.0-1.mga7
+ Revision: 1233607
- new version: 18.5.0

* Fri Apr 27 2018 daviddavid <daviddavid> 18.4.0-1.mga7
+ Revision: 1222804
- new version: 18.4.0

* Fri Mar 23 2018 daviddavid <daviddavid> 18.3.0-1.mga7
+ Revision: 1211426
- new version: 18.3.0

* Mon Feb 26 2018 daviddavid <daviddavid> 18.2.2-1.mga7
+ Revision: 1205239
- new version: 18.2.2

* Fri Jan 26 2018 daviddavid <daviddavid> 18.2.0-1.mga7
+ Revision: 1197229
- new version: 18.2.0

* Thu Jan 18 2018 daviddavid <daviddavid> 18.1.0-1.mga7
+ Revision: 1194334
- new version: 18.1.0

* Tue Dec 26 2017 daviddavid <daviddavid> 17.12.0-1.mga7
+ Revision: 1185130
- new version: 17.12.0

* Fri Nov 24 2017 daviddavid <daviddavid> 17.11.2-1.mga7
+ Revision: 1179069
- new version: 17.11.2

* Wed Nov 08 2017 daviddavid <daviddavid> 17.11.0-1.mga7
+ Revision: 1176503
- new version: 17.11.0

* Fri Oct 20 2017 daviddavid <daviddavid> 17.10.2-1.mga7
+ Revision: 1172822
- new version: 17.10.2

* Sat Oct 07 2017 daviddavid <daviddavid> 17.10.0-1.mga7
+ Revision: 1169798
- new version: 17.10.0

* Sat May 27 2017 akien <akien> 17.5.0-1.mga6
+ Revision: 1105157
- Version 17.5.0

* Sat Apr 29 2017 zezinho <zezinho> 17.4.2-1.mga6
+ Revision: 1098038
- new version 17.4.2 that fixes youtube vivo playing

* Sat Feb 25 2017 daviddavid <daviddavid> 17.2.0-1.mga6
+ Revision: 1087802
- new version: 17.2.0
- rename and rebase optflags patch

* Fri Nov 25 2016 daviddavid <daviddavid> 16.11.0-1.mga6
+ Revision: 1070154
- new version: 16.11.0

* Fri Sep 30 2016 daviddavid <daviddavid> 16.8.0-2.mga6
+ Revision: 1057800
- fix path should be "/usr/" and not "/usr/local/" (mga#19492)

* Sun Aug 14 2016 daviddavid <daviddavid> 16.8.0-1.mga6
+ Revision: 1046416
- new version: 16.8.0
- add patch to use system qtsingleapplication
- rename and rediff optflags patch to fix docdir path
- fix wrong-file-end-of-line-encoding
- fix file-not-utf8
- improve the %%lang macro for all translations files

* Tue Mar 29 2016 daviddavid <daviddavid> 16.4.0-1.mga6
+ Revision: 996375
- new version: 16.4.0

* Fri Jan 15 2016 daviddavid <daviddavid> 16.1.0-1.mga6
+ Revision: 923335
- new version: 16.1.0

* Wed Dec 02 2015 daviddavid <daviddavid> 15.11.0-1.mga6
+ Revision: 907602
- new version: 15.11.0

* Thu Nov 12 2015 daviddavid <daviddavid> 15.9.0-1.mga6
+ Revision: 902800
- new version: 15.9.0
- switch build to Qt5
- update file list

* Mon Feb 09 2015 akien <akien> 14.9.0-2.mga5
+ Revision: 814359
- Recommend smplayer-skins

* Sat Feb 07 2015 akien <akien> 14.9.0-1.mga5
+ Revision: 813921
- Version 14.9.0

* Wed Oct 15 2014 umeabot <umeabot> 14.3.0-3.mga5
+ Revision: 742918
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 14.3.0-2.mga5
+ Revision: 689217
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/
+ wally <wally>
- drop old Mdv era obsoletes/provides

* Fri Aug 15 2014 wally <wally> 14.3.0-1.mga5
+ Revision: 662568
- new version 14.3.0

* Sat Oct 19 2013 umeabot <umeabot> 0.8.6-2.mga4
+ Revision: 532282
- Mageia 4 Mass Rebuild

* Mon Aug 19 2013 fwang <fwang> 0.8.6-1.mga4
+ Revision: 467672
- new version 0.8.6

* Fri May 31 2013 fwang <fwang> 0.8.5-1.mga4
+ Revision: 433565
- update file list
- new version 0.8.5

* Mon Jan 14 2013 umeabot <umeabot> 0.8.2-2.mga3
+ Revision: 382220
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 0.8.2-1.mga3
+ Revision: 324164
- update file list
- update rpm group
- new version 0.8.2

* Wed Sep 26 2012 obgr_seneca <obgr_seneca> 0.8.1-1.mga3
+ Revision: 298279
- New version

* Mon May 28 2012 obgr_seneca <obgr_seneca> 0.8.0-1.mga3
+ Revision: 248389
- new version 0.8.0

* Mon Mar 05 2012 juancho <juancho> 0.7.1-3.mga2
+ Revision: 218332
- Removed not important info from %%description

* Sun Mar 04 2012 juancho <juancho> 0.7.1-2.mga2
+ Revision: 217827
- Added Suggests: smtube

* Sun Mar 04 2012 juancho <juancho> 0.7.1-1.mga2
+ Revision: 217737
- Updated to 0.7.1

* Tue Feb 14 2012 obgr_seneca <obgr_seneca> 0.7.0-1.mga2
+ Revision: 208835
- new version 0.7.0

* Sat Dec 31 2011 fwang <fwang> 0.6.10-1.mga2
+ Revision: 189235
- update file list
- new version 0.6.10

* Sat Feb 19 2011 ahmad <ahmad> 0.6.9-3.mga1
+ Revision: 53951
- drop old/unneeded scriptlets
- use the current qt4 Epoch
- imported package smplayer


* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.9-2mdv2011.0
+ Revision: 614928
- the mass rebuild of 2010.1 packages

* Mon Mar 29 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.9-1mdv2010.1
+ Revision: 528662
- drop patch 2, fixed by upstream
- drop patch 1, not needed at all
- update to new version 0.6.9

* Sun Jul 26 2009 Funda Wang <fwang@mandriva.org> 0.6.8-1mdv2010.0
+ Revision: 400176
- New version 0.6.8

* Sat Jul 11 2009 Anssi Hannula <anssi@mandriva.org> 0.6.7-2mdv2010.0
+ Revision: 394871
- detect mplayer version from the mandriva modified mplayer version
  string (mandriva-mplayer-version.patch)

* Thu Mar 12 2009 Funda Wang <fwang@mandriva.org> 0.6.7-1mdv2009.1
+ Revision: 354079
- New version 0.6.7

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.6-2mdv2009.1
+ Revision: 349445
- Patch1: remove obsoleted transaltions, because Qt 4.5 doesn't ignore the obsolete strings

* Fri Jan 02 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.6-1mdv2009.1
+ Revision: 323346
- update to new version 0.6.6

* Thu Nov 13 2008 Funda Wang <fwang@mandriva.org> 0.6.5.1-1mdv2009.1
+ Revision: 302605
- New version 0.6.5.1

* Sat Oct 25 2008 Funda Wang <fwang@mandriva.org> 0.6.4-1mdv2009.1
+ Revision: 297051
- fix file list
- New version 0.6.4

* Fri Oct 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.3-1mdv2009.1
+ Revision: 291495
- fix file list
- update to new version 0.6.3

* Fri Aug 15 2008 Funda Wang <fwang@mandriva.org> 0.6.2-1mdv2009.0
+ Revision: 272219
- add sl translation
- New version 0.6.2

* Tue Aug 05 2008 Funda Wang <fwang@mandriva.org> 0.6.1-2mdv2009.0
+ Revision: 264005
- rework optflags patch to include ldflags

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu May 29 2008 Funda Wang <fwang@mandriva.org> 0.6.1-1mdv2009.0
+ Revision: 213074
- New version 0.6.1

* Wed May 14 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-1mdv2009.0
+ Revision: 207195
- Patch0: compile with %%optflags
- fix file list
- update to the final version

* Mon Apr 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-0.rc4.1mdv2009.0
+ Revision: 196091
- update to the rc4 release

* Thu Mar 27 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-0.rc3.1mdv2009.0
+ Revision: 190669
- fix file list
- new release candidate 3

* Sun Mar 09 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-0.rc2.2mdv2008.1
+ Revision: 183038
- rebuild for qt4 changes

  + Thierry Vignaud <tv@mandriva.org>
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Wed Feb 13 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-0.rc2.1mdv2008.1
+ Revision: 166901
- update to latest release candidate version
- remove warnings from description

  + Thierry Vignaud <tv@mandriva.org>
    - fix description-line-too-long

* Fri Feb 01 2008 Funda Wang <fwang@mandriva.org> 0.6.0-0.rc1.1mdv2008.1
+ Revision: 161001
- Update file list
- New version 0.6.0rc1

* Sun Jan 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.62-3mdv2008.1
+ Revision: 155403
- remove conflicts
- add provides on smplayer-qt4

* Sun Jan 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.62-2mdv2008.1
+ Revision: 155339
- clean spec file
- obsolete smplayer-qt4
- kill qt3 version of smplayer

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Aug 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.21-2mdv2008.0
+ Revision: 66827
- fix bug #32668

* Mon Jun 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.21-1mdv2008.0
+ Revision: 44178
- new version, last QT3 version also

* Sat Jun 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.19-1mdv2008.0
+ Revision: 43345
- new version
- drop X-MandrivaLinux
- add new translations

* Mon Jun 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.15-1mdv2008.0
+ Revision: 40659
- new version

* Thu Jun 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.13-1mdv2008.0
+ Revision: 39541
- new version

* Tue Jun 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.11-1mdv2008.0
+ Revision: 38335
- new version

* Thu Jun 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.7-1mdv2008.0
+ Revision: 36819
- new version

* Tue Jun 05 2007 Funda Wang <fwang@mandriva.org> 0.5.5-1mdv2008.0
+ Revision: 35784
- New version

* Sat Jun 02 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.2-1mdv2008.0
+ Revision: 34432
- new version

* Tue May 29 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-1mdv2008.0
+ Revision: 32315
- update to latest version

* Mon May 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.30-1mdv2008.0
+ Revision: 31982
- add traditional chinese translation
- new version

* Fri May 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.29-1mdv2008.0
+ Revision: 31195
- new version

* Fri May 25 2007 Funda Wang <fwang@mandriva.org> 0.4.28-1mdv2008.0
+ Revision: 30965
- add sr language
- New upstream version

* Thu May 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.27-1mdv2008.0
+ Revision: 30535
- new version

* Mon May 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.25-2mdv2008.0
+ Revision: 29252
- update summary and description
- drop requires on smplayer-themes (no need to restrict free will of users :)
- pass %%_prefix for the %%make (still needed)

* Mon May 21 2007 Funda Wang <fwang@mandriva.org> 0.4.25-1mdv2008.0
+ Revision: 29027
- fix installation path
- New upstream version

* Sun May 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.24-1mdv2008.0
+ Revision: 28845
- update to the latest version
- themes are standalone package now
- use %%makeinstall, as smplayer's makefile works fine
- some minor changes in spec file

* Sat May 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.23-1mdv2008.0
+ Revision: 28425
- new version
- fix translation path

* Thu May 17 2007 Funda Wang <fwang@mandriva.org> 0.4.22-1mdv2008.0
+ Revision: 27537
- new upstream version 0.4.22

* Wed May 16 2007 Funda Wang <fwang@mandriva.org> 0.4.21-1mdv2008.0
+ Revision: 27138
- New upstrem version 0.4.21

* Wed May 16 2007 Funda Wang <fwang@mandriva.org> 0.4.20-1mdv2008.0
+ Revision: 27128
- New upstream version

* Sun May 13 2007 Funda Wang <fwang@mandriva.org> 0.4.19-1mdv2008.0
+ Revision: 26510
- New upstream version

* Fri May 11 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.18-1mdv2008.0
+ Revision: 26212
- new version
- remove buildrequires on libqt-devel
- add Swedish translation

* Wed May 09 2007 Funda Wang <fwang@mandriva.org> 0.4.16-1mdv2008.0
+ Revision: 25389
- new version.

* Tue May 08 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.15-1mdv2008.0
+ Revision: 25026
- new version

* Mon May 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.13-1mdv2008.0
+ Revision: 23954
- new version
- add Turkish translation
- add Source1 (a set of themes, which are upstream in separate tarball now)

* Fri May 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.7-1mdv2008.0
+ Revision: 22341
- new version

* Thu May 03 2007 Funda Wang <fwang@mandriva.org> 0.4.6-1mdv2008.0
+ Revision: 20840
- New upstream version 0.4.6

* Mon Apr 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.1-1mdv2008.0
+ Revision: 19363
- new version

* Sat Apr 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.44-1mdv2008.0
+ Revision: 18964
- new version
- add Bulgarian translation

* Tue Apr 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.39-1mdv2008.0
+ Revision: 17934
- new version
- compile with KDE support
- set buildrequires on kdelibs-devel

* Mon Apr 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.36-1mdv2008.0
+ Revision: 17293
- new version
- set more precise requires on mplayer's version
- add missing cs translation

* Fri Apr 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.31-2mdv
+ Revision: 16254
- fix prefix
- use smplayer's own desktop file

* Fri Apr 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.31-1mdv2008.0
+ Revision: 15775
- new version
- fix prefix path
- icons are now included

* Wed Apr 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.27-1mdv2008.0
+ Revision: 14812
- new version


* Mon Mar 05 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.13-1mdv2007.0
+ Revision: 133008
- new version

* Tue Feb 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.6-1mdv2007.1
+ Revision: 126549
- new version

* Sat Feb 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.2-1mdv2007.1
+ Revision: 125404
- new version

* Wed Feb 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.18-1mdv2007.1
+ Revision: 123636
- bump to the latest version
- move input.conf to the right place
- drop buildrequires on ImageMagick

* Fri Feb 16 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.12-1mdv2007.1
+ Revision: 121581
- new version
- add input.conf

* Mon Feb 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.6-1mdv2007.1
+ Revision: 120044
- new version
- drop patch 0

* Fri Feb 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1-0.20070208.1mdv2007.1
+ Revision: 118392
- new snapshot

* Thu Feb 08 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0-0.070206.1mdv2007.1
+ Revision: 117365
- Import smplayer

